Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1112322 - RFE: Provide export tools for Transition Tooling
Summary: RFE: Provide export tools for Transition Tooling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: New Feature
Version: 560
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Lestach
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks: sat560-triage
TreeView+ depends on / blocked
 
Reported: 2014-06-23 15:23 UTC by Tomas Lestach
Modified: 2014-07-08 13:02 UTC (History)
1 user (show)

Fixed In Version: spacewalk-backend-2.0.3-29 spacewalk-utils-2.0.2-15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-01 12:51:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:0822 normal SHIPPED_LIVE spacewalk-backend and spacewalk-utils enhancement update 2014-07-01 16:51:06 UTC

Description Tomas Lestach 2014-06-23 15:23:55 UTC
Description of problem:
Provide wrapper export tool for spacewalk-reports and a tool for exporting custom channel content from Red Hat Satellite 5 in order to migrate it to Red Hat Satellite 5.

Version-Release number of selected component (if applicable):
Red Hat Satellite 5.6

Comment 1 Tomas Lestach 2014-06-24 09:02:04 UTC
spacewalk-export and spacewalk-export-channels were introduced in spacewalk.git in commits:

 7374a44cc2aa15ff80b7bf4ade424de887ab8fb0
 34f32ceabf812f75cd11f80c48971bf4e5fab5ee
 6f69b3fbc9d6dfb484ccf2bcdffa66501373081b
 6e469594f3024d47ea44274da740153da5ca024f
 062f94969fee98cdc66fa07f932b3153cb559853
 b34c64a08f95c6ba48131bb57c43d08ea078308f
 f97c06a535b4cc2dcf4ce5e432373cc59de079d3
 f5044308245e848078197af610b184860a22d9a6
 79dd828116c1a9b1f6ba9bb4132f2396dec1bcab
 de9eb90908324d51f7aa279f9fcad3ffda6ba1d9
 780f1cb234e48b20c0379a907e824bfeff5afd6c
 7e43d2adfd11856cc515095a08a53e03fb93cad9
 a69db01f23ee098b6a59e239aae58f0c77de7d40
 109ed1bc35262c82b3d63d66b877e1eed97595ed

Comment 4 Lukas Pramuk 2014-06-26 16:11:01 UTC
VERIFIED. spacewalk-utils-2.0.2-15.el6sat + spacewalk-backend-2.0.3-29.el6sat.noarch

New (2) tools were introduced:

# spacewalk-export

# spacewalk-export-channels

New (2) man pages:

# man spacewalk-export
Formatting page, please wait...

# man spacewalk-export-channels
Formatting page, please wait...


Tooling was overally tested and all works as expected.

Comment 6 errata-xmlrpc 2014-07-01 12:51:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0822.html


Note You need to log in before you can comment on or make changes to this bug.